Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 401761 - =www-servers/apache-2.2.22 , =app-admin/apache-tools-2.2.22 : Stable request
Summary: =www-servers/apache-2.2.22 , =app-admin/apache-tools-2.2.22 : Stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement with 3 votes (vote)
Assignee: Apache Team - Bugzilla Reports
URL:
Whiteboard:
Keywords: STABLEREQ
: 402453 (view as bug list)
Depends on:
Blocks: CVE-2011-3607 CVE-2011-4317 CVE-2012-0031 CVE-2012-0021
  Show dependency tree
 
Reported: 2012-02-01 09:56 UTC by Agostino Sarubbo
Modified: 2012-04-17 19:35 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
apache-tools-2.2.22.ebuild.diff (apache-tools-2.2.22.ebuild.diff,558 bytes, patch)
2012-02-12 23:48 UTC, Andreas Sturmlechner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-02-01 09:56:00 UTC
Please bump apache-2.2.22. It fixes several security bugs already filed (see block section)
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-02-06 20:14:18 UTC
*** Bug 402453 has been marked as a duplicate of this bug. ***
Comment 2 Andreas Sturmlechner gentoo-dev 2012-02-12 23:48:38 UTC
Created attachment 301719 [details, diff]
apache-tools-2.2.22.ebuild.diff

small changes needed for apache-tools to build (some doc dirs were renamed)

apache-2.2.22 builds successfully by:
- renaming old 2.2.21-r1 ebuild
- using the same gentoo patchset
- adding the backported patch from bug 402351: http://svn.apache.org/viewvc/httpd/httpd/branches/2.2.x/STATUS?r1=1242094&r2=1243178
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-02-13 04:39:15 UTC
I have apache-tools and apache 2.2.22 ebuilds in my overlay. I have the new version running on a test box, but I need to look more closely to the bump.
Comment 4 Matus UHLAR - fantomas 2012-02-17 16:34:13 UTC
What is the status? I'm preparing to build new version and would like to have .22
:-)
Comment 5 droide02 2012-02-24 13:22:12 UTC
Please Stabilize.

Version 2.2.21 have multiple vulnerabilities...
Comment 6 Gerrit Helm 2012-02-24 16:11:40 UTC
Well.. before someone can stabilize it,
it needs to be in Portage at all...
Comment 7 Matthew Sutton 2012-03-06 05:06:11 UTC
Web server fell out of PCI compliance today for CVE-2012-0053.  Can we have a status update or ETA when it will be in portage for testing?
Comment 8 Gerrit Helm 2012-03-06 09:06:18 UTC
Since the Apache Mainatainers fall asleep a while ago (if I'm wrong please correct me), you better pull the files out of Vicettos Overlay. Works quite well so far on x86_64. You can use Layman or a Local Overlay.

The Url is: http://git.overlays.gentoo.org/gitweb/?p=dev/jmbsvicetto.git;a=summary

Keep in mind #389965 :)

Kind Regards..
Comment 9 Milos Ivanovic 2012-03-28 04:48:47 UTC
Wake up! :-)
Comment 10 Patrick Lauer gentoo-dev 2012-03-28 15:05:25 UTC
+  28 Mar 2012; Patrick Lauer <patrick@gentoo.org> +apache-2.2.22.ebuild:
+  Bump for #401761. init script fix for #389965

So now for stabilizing it ...
Comment 11 Patrick Lauer gentoo-dev 2012-03-28 15:10:36 UTC
Please stabilize:

=app-admin/apache-tools-2.2.22
=www-servers/apache-2.2.22
Comment 12 Agostino Sarubbo gentoo-dev 2012-03-29 10:41:18 UTC
amd64 stable
Comment 13 Dan Dexter 2012-03-30 03:09:46 UTC
Archtested on x86: Everything OK.

For =app-admin/apache-tools-2.2.22 and =www-servers/apache-2.2.22:
- Both compile successfully.
- Performed manual runtime verification of both packages without issues.
Comment 14 Jeroen Roovers gentoo-dev 2012-04-04 18:38:50 UTC
Stable for HPPA.
Comment 15 Markus Meier gentoo-dev 2012-04-06 10:36:07 UTC
arm stable
Comment 16 Jeff (JD) Horelick (RETIRED) gentoo-dev 2012-04-07 07:36:47 UTC
x86 stable, thanks Dan
Comment 17 Raúl Porcel (RETIRED) gentoo-dev 2012-04-08 16:40:51 UTC
alpha/ia64/s390/sh/sparc stable
Comment 18 Brent Baude (RETIRED) gentoo-dev 2012-04-17 16:03:33 UTC
ppc done
Comment 19 Brent Baude (RETIRED) gentoo-dev 2012-04-17 19:35:12 UTC
ppc64 done; closing as last arch